#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>


typedef unsigned char uchar;

uchar Increment(uchar * ,uchar , uchar);

int base=2, n = 1, tour = 0,verb=0;

void tirage()
{
	int i, total=0;
	uchar * A = malloc(n);
	for(i=0;i<tour;i++)
	{
		int j;
		for(j=0;j<n;j++)
			A[j] = random()%base;
		total+=Increment(A,n,base);
	}
	free(A);
	printf("moyen = %.2f  /   b/(b-1)=%.2f\n",(float)total/tour,((float)base/(base-1)));
}

int main(int argc, char * argv[])
{
	int opt;
	while((opt=getopt(argc,argv,"vb:n:t:"))>=0)		//':' pour dire qu'il admet un parametre
		switch(opt)
		{
			case 'b':
				base=atoi(optarg);
				break;
			case 'n':
				n=atoi(optarg);
				break;
			case 't':
				tour=atoi(optarg);
				break;
			case 'v':
				verb++;
				break;
			default:
				printf("%s b n t?\n",argv[0]);
		}
	if(verb)
		printf("b=%d n=%d t=%d\n",base,n,tour);

	tirage();
	return 0;
}
